/*
  a producer consist coordinate userinput and the running thread
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */






#ifndef __PRODUCER_H
#define __PRODUCER_H


#include <producer/core/deviceConfigProducer.h>
#include <producer/core/deviceConfigController.h>
#include <deviceConfig/deviceConfig.h>


/**
  This class must be used for new producers. The producer implements
  the controller and the producer interface. The producer interface
  is only used by the thread. The controller interface is used
  by the user.
  <p>
  But there are dependencies between them (command "stop" by user
  must stop thread, etc..)
  This is because you must implement both interfaces in a typical
  producer.
  <p>
  The producer is the class from which you derive your own producers.
  (Eg: LineIn/Micro producer)

*/


class Producer : public DeviceConfigProducer, DeviceConfigController {

 public:
  Producer();
  ~Producer();

  void updateDeviceConfig(DeviceConfig* newConfig);

  int open(char* filename );
  int close();
  int play();
  int pause();
  int jump(int);

};

#endif
